Subject: bug#41852: 27.0.50; text-scale commands don't scale header of tabulated-list-mode

From: Jean Louis <[email-masked]>
Date: Fri, 13 Nov 2020 16:00:23 +0300

I am aware of problem that header in tabulated-list-mode did not
enlarge.

I have tried patching the current git but get problems. Please send me
the full tabulated-list.el that I can try it.

Loading file /home/data1/protected/Programming/Software/emacs/lisp/emacs-lisp/tabulated-list.el failed to provide feature ‘tabulated-list’
make[1]: *** [Makefile:817: bootstrap-emacs.pdmp] Error 255
make[1]: Leaving directory '/home/data1/protected/Programming/Software/emacs/src'
make: *** [Makefile:424: src] Error 2
[~/Programming/Software/emacs]

For your note I am using tabulated-list-mode with somewhat enlarged
faces from default. I would like to test that enhancement.

(define-derived-mode hyperscope-mode tabulated-list-mode "Hyperscope" "Major Hyperscope mode"
  (hyperscope-text-scale-adjust 'hyperscope-mode)
  (setq tabulated-list-format [("ID" 8 t :right-align t)
                               ("Hyperlink" 70 t)
                               ("Type" 10 t)])
  (setq tabulated-list-padding 1)
  ;; (setq tabulated-list-sort-key (cons "ID" nil))
  (tabulated-list-init-header))

(defun hyperscope-text-scale-adjust (symbol)
  (let ((adjust nil)) ;; TODO customize to turn off or on
    (if (and adjust (eql symbol 'hyperscope-mode))
	(text-scale-adjust 2)
      (if (and adjust (eql symbol 'hyperscope-text-view-mode))
      	  (text-scale-adjust 1)
	(if (and adjust (eql symbol 'hyperscope-org-view-mode))
	    (text-scale-adjust 1))))))